/*
 * Drizzle JDBC
 *
 * Copyright (C) 2009 Marcus Eriksson (krummas@gmail.com)
 * All rights reserved.
 *
 * Use and distribution licensed under the BSD license.
 */

package org.drizzle.jdbc.internal.common;

import org.drizzle.jdbc.internal.common.queryresults.ColumnFlags;

import java.util.Set;

/**
 * . User: marcuse Date: Mar 9, 2009 Time: 8:55:30 PM
 */
public interface ColumnInformation {
    String getCatalog();

    String getDb();

    String getTable();

    String getOriginalTable();

    String getName();

    String getOriginalName();

    short getCharsetNumber();

    long getLength();

    DataType getType();

    byte getDecimals();

    Set<ColumnFlags> getFlags();

    void updateDisplaySize(int displayLength);
}
